Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Class DifferenceNameClass

    java.lang.Object
      com.sun.msv.grammar.NameClass
          com.sun.msv.grammar.DifferenceNameClass

All Implemented Interfaces:
  java.io.Serializable

public class DifferenceNameClass
extends NameClass

<difference> name class.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`NameClass` | `nc1`
`NameClass` | `nc2`

Fields inherited from class com.sun.msv.grammar.NameClass
`ALL, LOCALNAME_WILDCARD, NAMESPACE_WILDCARD, NONE`

Constructor Summary
`DifferenceNameClass(NameClass nc1, NameClass nc2)`

Method Summary
`boolean` | `accepts(java.lang.String namespaceURI, java.lang.String localPart)` accepts a name if it is accepted by nc1 and not by nc2.
`java.lang.String` | `toString()`
`java.lang.Object` | `visit(NameClassVisitor visitor)` visitor pattern support

Methods inherited from class com.sun.msv.grammar.NameClass
`accepts, includes, intersection, isEqualTo, isNull, simplify, union`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nc1

    public final NameClass nc1

### nc2

    public final NameClass nc2

Constructor Detail

### DifferenceNameClass

    public DifferenceNameClass(NameClass nc1,
                               NameClass nc2)

Method Detail

### accepts

    public boolean accepts(java.lang.String namespaceURI,
                           java.lang.String localPart)

  accepts a name if it is accepted by nc1 and not by nc2.

  Specified by:
    `accepts` in class `NameClass`
  Parameters:
    `namespaceURI` - namespace URI to be tested. If this value equals to NAMESPACE_WILDCARD, implementation must assume that valid namespace is specified. this twist will be used for error diagnosis.
    `localPart` - local part to be tested. As with namespaceURI, LOCALNAME_WILDCARD will acts as a wild card.
  Returns:
    true if the pair is accepted, false otherwise.

### visit

    public java.lang.Object visit(NameClassVisitor visitor)

  Description copied from class: `NameClass`
  visitor pattern support

  Specified by:
    `visit` in class `NameClass`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD